summaryrefslogtreecommitdiffstats
path: root/system/rxvt-unicode/rxvt-unicode.SlackBuild
diff options
context:
space:
mode:
author Duane Dohrman II <d.dohrman@gmail.com>2010-05-11 19:46:37 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:46:37 +0200
commita80d0058a2b1837adede3b8ca42c783775cea01a (patch)
tree90ab0a662723bc36c6bff69769b5bdcf6d4141c0 /system/rxvt-unicode/rxvt-unicode.SlackBuild
parent8ae1c839c1074077d405afb0ca6bfca7f8c4fc30 (diff)
downloadslackbuilds-a80d0058a2b1837adede3b8ca42c783775cea01a.tar.gz
slackbuilds-a80d0058a2b1837adede3b8ca42c783775cea01a.tar.xz
system/rxvt-unicode: Updated for version 8.9
Diffstat (limited to 'system/rxvt-unicode/rxvt-unicode.SlackBuild')
-rw-r--r--system/rxvt-unicode/rxvt-unicode.SlackBuild72
1 files changed, 62 insertions, 10 deletions
diff --git a/system/rxvt-unicode/rxvt-unicode.SlackBuild b/system/rxvt-unicode/rxvt-unicode.SlackBuild
index ca871e0abf..23594b018f 100644
--- a/system/rxvt-unicode/rxvt-unicode.SlackBuild
+++ b/system/rxvt-unicode/rxvt-unicode.SlackBuild
@@ -1,20 +1,41 @@
#!/bin/sh
# Slackware build script for rxvt-unicode
-# Written by Meckafett thumpadoodle@hotmail.com
-set -e
+# Written by Dugan Chen (dugan_c@fastmail.fm)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Updated by Andrew Brouwers, abrouwers@gmail.com
PRGNAM=rxvt-unicode
-VERSION=8.2
+VERSION=8.9
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="COPYING Changes INSTALL MANIFEST README.FAQ README.configure"
+
+DOCS="COPYING Changes INSTALL README.FAQ README.configure"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -22,35 +43,66 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Changing to --disable-perl will provide a much lighter package
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
-# --enable-unicode3
-# --enable-ttygid
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-everything \
+ --enable-frills \
+ --enable-unicode3 \
+ --enable-combining \
+ --enable-xft \
+ --enable-font-styles \
+ --enable-transparency \
+ --enable-tinting \
+ --enable-fading \
+ --enable-frills \
+ --enable-afterimage \
+ --enable-rxvt-scroll \
+ --enable-next-scroll \
+ --enable-xterm-scroll \
+ --enable-perl \
+ --enable-plain-scroll \
+ --enable-xim \
+ --enable-iso14755 \
+ --enable-keepscrolling \
+ --enable-selectionscrolling \
+ --enable-mousewheel \
+ --enable-slipwheeling \
+ --enable-smart-resize \
+ --enable-text-blink \
+ --enable-pointer-blank \
+ --enable-utmp \
+ --enable-wtmp \
+ --enable-lastlog
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION